# Uses of Enum Class
org.apache.sysds.parser.Expression.BinaryOp

Packages that use Expression.BinaryOp
Package
Description
org.apache.sysds.parser

## Uses of Expression.BinaryOp in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Expression.BinaryOp
Modifier and Type
Method
Description
`static Expression.BinaryOp`
Expression.`getBinaryOp(String val)`
Convert string value to binary operator.
`Expression.BinaryOp`
BinaryExpression.`getOpCode()`
`static Expression.BinaryOp`
Expression.BinaryOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Expression.BinaryOp[]`
Expression.BinaryOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.parser with parameters of type Expression.BinaryOp
Modifier and Type
Method
Description
`static boolean`
BinaryExpression.`isSameDimensionBinaryOp(Expression.BinaryOp op)`
Constructors in org.apache.sysds.parser with parameters of type Expression.BinaryOp
Modifier
Constructor
Description
``
`BinaryExpression(Expression.BinaryOp bop)`
``
`BinaryExpression(Expression.BinaryOp bop, ParseInfo parseInfo)`